package nova.traffic.media.help;

import nova.traffic.media.ItemMedia;

import java.util.List;

/**
 * 普通节目策略
 */
public class MediaAllStrategyImpl implements OnMediaStrategyImp {
    @Override
    public String createProtocol(List<ItemMedia> itemListMedia) {

        StringBuffer protocol = new StringBuffer("[all]\n");
        protocol.append("items=").append(itemListMedia.size()).append("\n");
        itemListMedia.forEach(item -> {
            int index = itemListMedia.indexOf(item);
            protocol.append("[item").append(index + 1).append("]").append("\n");
            protocol.append(item.createProtocol()).append("\n");
        });
        protocol.deleteCharAt(protocol.length() - 1);
        return protocol.toString();
    }
}
