package nova.traffic.media.help;

import nova.traffic.media.ItemMedia;

import java.util.List;

/**
 * 局部更新
 */
public class MediaPartStrategyImpl implements OnMediaStrategyImp {
    @Override
    public String createProtocol(List<ItemMedia> itemListMedia) {

        StringBuffer protocol = new StringBuffer("[all]\n");
        protocol.append("items=").append(itemListMedia.size()).append("\n");

        if (itemListMedia.size() == 1) {
            protocol.append("[item").append("-1").append("]").append("\n");
            protocol.append(itemListMedia.get(0).createProtocol());
        } else {
            itemListMedia.forEach(item -> {
                int index = itemListMedia.indexOf(item);
                protocol.append("[item").append(index + 1).append("]").append("\n");
                protocol.append(item.createProtocol()).append("\n");
            });
            protocol.deleteCharAt(protocol.length() - 1);
        }

        return protocol.toString();
    }
}
