package nova.traffic.been;

import java.text.SimpleDateFormat;
import java.util.Date;

public class VolumeByTimeParam {
	Date start;
	Date end;
	int volume;
	public VolumeByTimeParam(Date start, Date end, int volume) {
		super();
		this.start = start;
		this.end = end;
		this.volume = volume;
	}
	
	public VolumeByTimeParam() {
	}

	public Date getStart() {
		return start;
	}

	public void setStart(Date start) {
		this.start = start;
	}

	public Date getEnd() {
		return end;
	}

	public void setEnd(Date end) {
		this.end = end;
	}

	 

	public int getVolume() {
		return volume;
	}

	public void setVolume(int volume) {
		this.volume = volume;
	}

	@Override
	public String toString() {
		SimpleDateFormat sdf = new SimpleDateFormat("yyyy.MM.dd HH:mm:ss");
		return "VolumeByTimeParam [start=" + sdf.format(start) + ", end=" + sdf.format(end) + ", volume=" + volume + "]";
	}

}
