package nova.traffic.media;

import java.io.File;

public class GifMedia extends MultiMedia {

    private String fileName;
    private int playCount;
    private String backGroundColor;


    public GifMedia(GifMediaBuilder builder) {
        baseMedia(builder);
        this.filePath=builder.filePath;
        this.fileName = new File(filePath).getName();
        this.playCount = builder.playCount;
        this.backGroundColor = builder.backGroundColor;
    }

    @Override
    public String createProtocol() {
        String protocol = "gif" + index + "="
                + x + ","
                + y + ","
                + width + ","
                + height + ","
                + fileName + ","
                + duration + ","
                + playCount + ","
                + backGroundColor;
        return protocol;
    }


}
