package nova.traffic.media;

import java.io.File;

public class ImageMedia extends MultiMedia {


    private String fileName;
    private String flash;
    private int stayTime;
    private String animalType ;
    private int playCount ;
    private int animalDuration;

    public ImageMedia(ImageMediaBuilder builder) {
        baseMedia(builder);
        this.filePath= builder.filePath;
        this.fileName = new File(filePath).getName();
        this.flash = builder.flash;
//        animalType=builder.animalType;
//        playCount=builder.playCount;
//        animalDuration=builder.animalDuration;
    }

    @Override
    public String createProtocol() {
        String protocol1 = "img" + index + "="
                + x + ","
                + y + ","
                + fileName + ","
                + flash + ","
                + width + ","
                + height;
        String protocol2 = "imgparam" + index + "="
                + duration /*+ ","
                + "0,"
                + animalType + ","
                + playCount + ","
                + animalDuration*/;

        return protocol1 + "\n" + protocol2;
    }


}
