package nova.traffic.media;

import com.google.gson.Gson;

import java.util.List;

public class RoadMedia extends BaseMedia {
    //底图
    private List<BaseRoute> roadInfo;
    private String backgroundColor="8";


    @Override
    public String createProtocol() {
        String protocol = "road" + index + "="
                + new Gson().toJson(this);
        return protocol;
    }

    public RoadMedia(RoadMediaBuilder builder) {
        baseMedia(builder);
        this.roadInfo = builder.baseRoutes;
        this.backgroundColor=builder.backgroundColor;
    }


}
