package nova.traffic.media;

import java.io.File;

public class VideoMedia extends MultiMedia {

    private String fileName;
    private int playCount;


    @Override
    public String createProtocol() {
        String protocol = "video" + index + "="
                + x + ","
                + y + ","
                + width + ","
                + height + ","
                + fileName + ","
                + playCount;
        return protocol;
    }


    public VideoMedia(VideoMediaBuilder builder) {

        baseMedia(builder);
        filePath=builder.filePath;
        fileName = new File(filePath).getName();
        playCount = builder.playCount;
    }


}
