package nova.traffic.media;

public class WebMedia extends BaseMedia {

    private String url;

    private int refreshTime;


    @Override
    public String createProtocol() {
        String protocol = "webview" + index + "="
                + x + ","
                + y + ","
                + url + ","
                + refreshTime + ","
                + width + ","
                + height;
        return protocol;
    }


    public WebMedia(WebMediaBuilder builder) {
        baseMedia(builder);
        url = builder.url;
        refreshTime = builder.refreshTime;
    }


}
