package nova.traffic.media;

public final class WebMediaBuilder extends BaseMediaBuild {


     String url = "";
     int refreshTime = 0;

    @Override
    public WebMediaBuilder x(int x) {
        return (WebMediaBuilder) super.x(x);
    }

    @Override
    public WebMediaBuilder y(int y) {
        return (WebMediaBuilder) super.y(y);
    }

    @Override
    public WebMediaBuilder width(int width) {
        return (WebMediaBuilder) super.width(width);
    }

    @Override
    public WebMediaBuilder height(int height) {
        return (WebMediaBuilder) super.height(height);
    }

    /**
     * web
     *
     * @param url  URL地址
     * @return 返回媒体build
     */
    public WebMediaBuilder url(String url) {
        this.url = url;
        return this;
    }

    /**
     * 刷新间隔时间，
     *
     * @param refreshTime 默认为0
     * @return 返回媒体build
     */
    public WebMediaBuilder refreshTime(int refreshTime) {
        this.refreshTime = refreshTime;
        return this;
    }

    @Override
    public BaseMedia build() {
        return new WebMedia(this);
    }
}
