package nova.traffic.media.help;

import nova.traffic.media.ItemMedia;

import java.util.List;

/**
 * 实时更新，只涉及到一条数据
 */
public class MediaLiveStrategyImpl implements OnMediaStrategyImp {
    @Override
    public String createProtocol(List<ItemMedia> itemListMedia) {

        StringBuffer protocol = new StringBuffer("[all]\n");
        if (!itemListMedia.isEmpty()) {
            protocol.append("items=").append(1).append("\n");
            protocol.append("[item").append(itemListMedia.get(0).getIndex()).append("]").append("\n");
            protocol.append(itemListMedia.get(0).createProtocol());
        }
        return protocol.toString();
    }
}
