package nova.traffic.utils;

import java.io.File;
import java.util.List;

public interface NovaTrafficImp {

    /**
     * 发送文件
     *
     * @param file
     * @param saveFileName
     * @return
     */
    int sendFile(File file, String saveFileName);

    /**
     * 发送节目
     *
     * @param id
     * @param content
     * @return
     */
    int sendPlayList(int id, String content);


    /**
     * 局部更新
     *
     * @param id
     * @param content
     * @return
     */
    int sendLocalUpdate(int id, String content);

    /**
     * 获取所有媒体文件名称
     * @return
     */
    List<String> getAllMediaFileName();


}
