package nova.traffic.utils.contract;

import java.io.Closeable;
import java.io.IOException;

/**
 * isocket
 *
 * @author Nova004935
 * @date 2023/05/17
 */
public interface ISocket extends Closeable {

    boolean isClosed();

    boolean isConnected();

    int write(byte[] bytes) throws IOException;

     int read(byte[] bytes, int offset, int len) throws IOException;

}
